% Example 38
N = 8;
gn = [1.0 0.7 0.4 0.1 0.0 0.1 0.4 0.7]; %n0 = 0
%gn = [0.4 0.7 1.0 0.7 0.4 0.1 0.0 0.1]; %n0 = 2
%gn = [0.0 0.1 0.4 0.7 1.0 0.7 0.4 0.1]; %n0 = 4
%gn = [0.4 0.1 0.0 0.1 0.4 0.7 1.0 0.7]; %n0 = 6
Gk = DFT(gn,N);
magGk = abs(Gk);
realGk = real(Gk);
imagGk = imag(Gk);
angleGk = angle(Gk)*180/pi;
k = 0:N-1;
subplot(2,2,1); stem(k, magGk); 
axis([-0.5,8,-0.25,4]);
xlabel('k'); ylabel('|G(k)|');
title('DFT of Triangle function');
subplot(2,2,2); stem(k, realGk); 
axis([-0.5,8,-4,4]);
xlabel('k'); ylabel('Real G(k)');
title('Real DFT of Triangle function');
subplot(2,2,3); stem(k, angleGk); 
axis([-0.5,8,-200,200]);
xlabel('k'); ylabel('Angle G(k)');
title('Angle of DFT of Triangle function');
subplot(2,2,4); stem(k, imagGk); 
axis([-0.5,8,-4,4]);
xlabel('k'); ylabel('Imag G(k)');
title('Imag DFT of Triangle function');
