% Example 43
N = 8;
gn = [0.0 0.25 0.5 0.75 1.0 0.75 0.5 0.25];
Gkr = fft(gn,N);
Gk = fftshift(Gkr);
magGk = abs(Gk);
realGk = real(Gk);
imagGk = imag(Gk);
angleGk = angle(Gk)*180/pi;
k = -N/2:N/2-1;
subplot(2,2,1); stem(k, magGk); 
axis([-0.5-N/2,N/2,-0.25,4]);
xlabel('k'); ylabel('|G(k)|');
title('DFT of Triangle function');
subplot(2,2,2); stem(k, realGk); 
axis([-0.5-N/2,N/2,-4,4]);
xlabel('k'); ylabel('Real G(k)');
title('Real DFT of Triangle function');
subplot(2,2,3); stem(k, angleGk); 
axis([-0.5-N/2,N/2,-200,200]);
xlabel('k'); ylabel('Angle G(k)');
title('Angle of DFT of Triangle function');
subplot(2,2,4); stem(k, imagGk); 
axis([-0.5-N/2,N/2,-4,4]);
xlabel('k'); ylabel('Imag G(k)');
title('Imag DFT of Triangle function');

