% Example 45a  Product of cosine waves 
N = 32;
n = 0:N-1;
Ncycle1 = 2;
Ncycle2 = 5;
Ncycle3 = 7;
gn1 = cos(2*pi*Ncycle1*n/N);
Gkr = fft(gn1,N);
Gk = fftshift(Gkr);
magGk = abs(Gk);
k = -N/2:N/2-1;
subplot(2,2,1); stem(k, magGk); 
axis([-N/8-N/2,N/2,-N/8,N/2+N/8]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ax.XTick = -N/2:N/8:N/2;
ax.YTick = 0:N/8:N/2;
xlabel('k'); ylabel('|G(k)|');
title('gn1 - Ncycle = 2');
gn2 = cos(2*pi*Ncycle2*n/N);
Gkr = fft(gn2,N);
Gk = fftshift(Gkr);
magGk = abs(Gk);
subplot(2,2,2); stem(k, magGk);
axis([-N/8-N/2,N/2,-N/8,N/2+N/8]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ax.XTick = -N/2:N/8:N/2;
ax.YTick = 0:N/8:N/2;
xlabel('k'); ylabel('|G(k)|');
title('gn2 - Ncycle = 5');
gn3 = cos(2*pi*Ncycle3*n/N);
Gkr = fft(gn3,N);
Gk = fftshift(Gkr);
magGk = abs(Gk);
subplot(2,2,3); stem(k, magGk);
axis([-N/8-N/2,N/2,-N/8,N/2+N/8]);
