% Example 54
N = 4;
gn = [1.0 0.66 0.33 0.0]
Gkd = DDCT(gn,N)
k = 0:N-1;
subplot(1,2,1); stem(k, Gkd); 
axis([-0.5,N,-0.25,N/2+N/8]);
xlabel('k'); ylabel('G(k)');
title('DCT of Half-Triangle function');
Gkf = fft(gn,N)
magGkf = abs(Gkf)
subplot(1,2,2); stem(k, magGkf); 
axis([-0.5,N,-0.25,N/2+N/8]);
xlabel('k'); ylabel('|G(k)|');
title('DFT of Half-Triangle function');
