function [Gk]=DDCT(gn,N)
% Compute Direct Discrete Cosine Transform
% ---------------------
% N = Number of samples of DCT
% gn = N-point input sequence
% Gk = DCT frequency components
% Gk = DDCT(gn,N)
n = 0:N-1;
k = 0:N-1;
C = cos(pi*k.'*((2*n+1)/(2*N)));
Gk = gn*C.';
